# Uses of Enum Class
com.sun.tools.jconsole.JConsoleContext.ConnectionState

Packages that use JConsoleContext.ConnectionState
Package
Description
com.sun.tools.jconsole
This package contains the JConsole API.

## Uses of JConsoleContext.ConnectionState in com.sun.tools.jconsole

Methods in com.sun.tools.jconsole that return JConsoleContext.ConnectionState
Modifier and Type
Method
Description
`JConsoleContext.ConnectionState`
JConsoleContext.`getConnectionState()`
Returns the current connection state.
`static JConsoleContext.ConnectionState`
JConsoleContext.ConnectionState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JConsoleContext.ConnectionState[]`
JConsoleContext.ConnectionState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.